Bug 284186 - Starting Miro while Amarok has DAAP extention enabled crashes Amarok [@ Daap::Reader::loginFinished]
Summary: Starting Miro while Amarok has DAAP extention enabled crashes Amarok [@ Daap:...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/DAAP (show other bugs)
Version: 2.4.3
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-16 14:27 UTC by darthanubis
Modified: 2012-10-01 16:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description darthanubis 2011-10-16 14:27:49 UTC
Application: amarok (2.4.3)
KDE Platform Version: 4.7.2 (4.7.2)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-12-generic x86_64
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed:
Amarok was idle in the taskbar, started Miro, and Amarok crashed.
- Custom settings of the application:
Daap extention enabled.

Starting Amarok with DAAP ext. disabled I cannot reproduce the bug.
http://pastebin.com/NwRvs83J

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f72369137c0 (LWP 1366))]

Thread 10 (Thread 0x7f7215845700 (LWP 1370)):
#0  0x00007f7233264773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f722dfcff68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f722dfd0429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7233be2f3e in QEventDispatcherGlib::processEvents (this=0x2a98060, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f7233bb6cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7233bb6ef7 in QEventLoop::exec (this=0x7f7215844cd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f7233ace27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f7233b99cbf in QInotifyFileSystemWatcherEngine::run (this=0x25c9120) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f7233ad0d05 in QThreadPrivate::start (arg=0x25c9120) at thread/qthread_unix.cpp:331
#9  0x00007f722518f56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007f722fa74efc in start_thread (arg=0x7f7215845700) at pthread_create.c:304
#11 0x00007f723327089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f720a1a7700 (LWP 1373)):
#0  0x00007f7233264773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f722dfcff68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f722dfd0429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7233be2f3e in QEventDispatcherGlib::processEvents (this=0x306d070, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f7233bb6cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7233bb6ef7 in QEventLoop::exec (this=0x7f720a1a6cd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f7233ace27f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f7233b99cbf in QInotifyFileSystemWatcherEngine::run (this=0x3087230) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f7233ad0d05 in QThreadPrivate::start (arg=0x3087230) at thread/qthread_unix.cpp:331
#9  0x00007f722518f56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007f722fa74efc in start_thread (arg=0x7f720a1a7700) at pthread_create.c:304
#11 0x00007f723327089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f720978a700 (LWP 1374)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7233ad11ab in wait (time=18446744073709551615, this=0x31a3020) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x31a3240, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7231005864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x31a2e50, th=0x31a36d0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7231007e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x311d6c0, th=0x31a36d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7231006ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7f7209789d20, parent=0x31a2e50, th=0x31a36d0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f7231006d5b in ThreadWeaver::Thread::run (this=0x31a36d0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f7233ad0d05 in QThreadPrivate::start (arg=0x31a36d0) at thread/qthread_unix.cpp:331
#8  0x00007f722518f56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f722fa74efc in start_thread (arg=0x7f720978a700) at pthread_create.c:304
#10 0x00007f723327089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f7208d7e700 (LWP 1375)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7233ad11ab in wait (time=18446744073709551615, this=0x31a3020) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x31a3240, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7231005864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x31a2e50, th=0x310acd0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7231007e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x311d6c0, th=0x310acd0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7231006ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7f7208d7dd20, parent=0x31a2e50, th=0x310acd0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f7231006d5b in ThreadWeaver::Thread::run (this=0x310acd0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f7233ad0d05 in QThreadPrivate::start (arg=0x310acd0) at thread/qthread_unix.cpp:331
#8  0x00007f722518f56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f722fa74efc in start_thread (arg=0x7f7208d7e700) at pthread_create.c:304
#10 0x00007f723327089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f7203fff700 (LWP 1376)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7233ad11ab in wait (time=18446744073709551615, this=0x31a3020) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x31a3240, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7231005864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x31a2e50, th=0x7f7204000f20) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7231007e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x311d6c0, th=0x7f7204000f20) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7231006ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7f7203ffed20, parent=0x31a2e50, th=0x7f7204000f20) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f7231006d5b in ThreadWeaver::Thread::run (this=0x7f7204000f20) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f7233ad0d05 in QThreadPrivate::start (arg=0x7f7204000f20) at thread/qthread_unix.cpp:331
#8  0x00007f722518f56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f722fa74efc in start_thread (arg=0x7f7203fff700) at pthread_create.c:304
#10 0x00007f723327089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f72037fe700 (LWP 1377)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7233ad11ab in wait (time=18446744073709551615, this=0x31a3020) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x31a3240, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7231005864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x31a2e50, th=0x7f7204001c30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7231007e0b in ThreadWeaver::WorkingHardState::applyForWork (this=0x311d6c0, th=0x7f7204001c30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7231006ccf in ThreadWeaver::ThreadRunHelper::run (this=0x7f72037fdd20, parent=0x31a2e50, th=0x7f7204001c30) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f7231006d5b in ThreadWeaver::Thread::run (this=0x7f7204001c30) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f7233ad0d05 in QThreadPrivate::start (arg=0x7f7204001c30) at thread/qthread_unix.cpp:331
#8  0x00007f722518f56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f722fa74efc in start_thread (arg=0x7f72037fe700) at pthread_create.c:304
#10 0x00007f723327089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f72027b4700 (LWP 1378)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f722aa2ac2c in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f722aa2ad59 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f722518f56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007f722fa74efc in start_thread (arg=0x7f72027b4700) at pthread_create.c:304
#5  0x00007f723327089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f7201fb3700 (LWP 1379)):
#0  0xffffffffff60014c in ?? ()
#1  0x00007f7201fb2a40 in ?? ()
#2  0x00007fff859f17e7 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 2 (Thread 0x7f71fa189700 (LWP 1386)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7230050fe2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f7230051019 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f722518f56c in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007f722fa74efc in start_thread (arg=0x7f71fa189700) at pthread_create.c:304
#5  0x00007f723327089d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f72369137c0 (LWP 1366)):
[KCrash Handler]
#6  qNumVariantToHelper<int> (val=@0x51, ok=0x0, d=..., handler=<optimized out>) at kernel/qvariant.cpp:2417
#7  QVariant::toInt (this=0x51, ok=0x0) at kernel/qvariant.cpp:2443
#8  0x00007f720f9c2e38 in Daap::Reader::loginFinished (this=0x4da74d0, error=<optimized out>) at ../../../../../src/core-impl/collections/daap/daapreader/Reader.cpp:173
#9  0x00007f720f9c44f1 in Daap::Reader::qt_metacall (this=0x4da74d0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff8588b120) at ./Reader.moc:96
#10 0x00007f7233bcaeba in QMetaObject::activate (sender=0x32e2670, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff8588b120) at kernel/qobject.cpp:3278
#11 0x00007f723258454f in QHttp::requestFinished (this=<optimized out>, _t1=2, _t2=false) at .moc/release-shared/moc_qhttp.cpp:191
#12 0x00007f723258cc68 in QHttpPrivate::finishedWithSuccess (this=0x4d84790) at access/qhttp.cpp:2530
#13 0x00007f723258d15a in QHttp::qt_metacall (this=0x32e2670, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x4e31be0) at .moc/release-shared/moc_qhttp.cpp:135
#14 0x00007f720f9c67e0 in Daap::ContentFetcher::qt_metacall (this=0x32e2670, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x4e31be0) at ./contentfetcher.moc:71
#15 0x00007f7233bcea5e in QObject::event (this=0x32e2670, e=<optimized out>) at kernel/qobject.cpp:1217
#16 0x00007f72345b8424 in notify_helper (e=0x319c890, receiver=0x32e2670, this=0x2513ef0) at kernel/qapplication.cpp:4486
#17 QApplicationPrivate::notify_helper (this=0x2513ef0, receiver=0x32e2670, e=0x319c890) at kernel/qapplication.cpp:4458
#18 0x00007f72345bd291 in QApplication::notify (this=0x7fff8588b9d0, receiver=0x32e2670, e=0x319c890) at kernel/qapplication.cpp:4365
#19 0x00007f7236319126 in KApplication::notify (this=0x7fff8588b9d0, receiver=0x32e2670, event=0x319c890) at ../../kdeui/kernel/kapplication.cpp:311
#20 0x00007f7233bb7afc in QCoreApplication::notifyInternal (this=0x7fff8588b9d0, receiver=0x32e2670, event=0x319c890) at kernel/qcoreapplication.cpp:787
#21 0x00007f7233bbb51f in sendEvent (event=0x319c890, receiver=0x32e2670) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#22 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x2327430) at kernel/qcoreapplication.cpp:1428
#23 0x00007f7233be2a73 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#24 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:277
#25 0x00007f722dfcfa5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007f722dfd0258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007f722dfd0429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007f7233be2ed6 in QEventDispatcherGlib::processEvents (this=0x2328f40, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#29 0x00007f723466007e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#30 0x00007f7233bb6cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#31 0x00007f7233bb6ef7 in QEventLoop::exec (this=0x7fff8588b960, flags=...) at kernel/qeventloop.cpp:201
#32 0x00007f7233bbb789 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#33 0x000000000040916e in main (argc=1, argv=0x7fff8588dfd8) at ../../src/main.cpp:289

Reported using DrKonqi
Comment 1 Matěj Laitl 2012-10-01 16:33:51 UTC
Git commit 7a8bb3148ae30a57c93439debbc1680201c9256f by Matěj Laitl.
Committed on 01/10/2012 at 17:53.
Pushed by laitl into branch 'master'.

Fix crash in Daap::Reader::loginFinished()
FIXED-IN: 2.7

M  +1    -0    ChangeLog
M  +9    -6    src/core-impl/collections/daap/daapreader/Reader.cpp

http://commits.kde.org/amarok/7a8bb3148ae30a57c93439debbc1680201c9256f